ossp-pkg/shtool/sh.arx 1.17 -> 1.18
--- sh.arx 2001/12/31 15:06:04 1.17
+++ sh.arx 2003/02/11 12:56:39 1.18
@@ -41,7 +41,7 @@
for file in $files; do
if [ ! -f $file ]; then
echo "$msgprefix:Error: input file not found: $file" 1>&2
- exit 1
+ shtool_exit 1
fi
case $file in
*.a )
@@ -67,7 +67,7 @@
(cd $tmpdir && eval $ar_prg x $from)
if [ $? -ne 0 ]; then
echo "$msgprefix:Error: member extraction failed for archive: $file" 1>&2
- exit 1
+ shtool_exit 1
fi
for member in - `eval $ar_prg t $file | sed -e '/_\.SYMDEF/d'`; do
[ ".$member" = .- ] && continue
@@ -88,7 +88,7 @@
eval $ar_prg $ar_cmd $archive $nfiles
if [ $? -ne 0 ]; then
echo "$msgprefix:Error: archive command failed" 1>&2
- exit $?
+ shtool_exit $?
fi
# cleanup and die gracefully
|
|